Bug 548163

Summary: tkImg includes own version of bundled libraries
Product: [Fedora] Fedora Reporter: Matt Chan <talcite>
Component: tkimgAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: a.badger, bugzilla.acct, sergio.pasra, talcite
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: tkimg-1.4-4.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-22 10:59:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 504493    
Attachments:
Description Flags
Patch to use systemlibs none

Description Matt Chan 2009-12-16 14:53:57 EST
Description of problem:
tkImg currently includes their own version of bundled libraries. The spec file acknowledges it and a bug has been filed on their tracker already by Sergio Pascual. http://sourceforge.net/tracker/index.php?func=detail&aid=2292032&group_id=52039&atid=465495. This bug report is only for consistency and for adding to the bundled libs blocker bug.

Version-Release number of selected component (if applicable):
1.4-0.5.20081115svn.fc12

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Toshio Ernie Kuratomi 2009-12-16 15:24:07 EST
from another bug report it seemed like tkimg upstream was close to dead.  Also, the upstream bug report hasn't seen any response from upstream in the year that it has been posted.

So we need to address this issue in Fedora.  Patches can be fed back upstream once we generate them.
Comment 2 Sergio Pascual 2009-12-23 09:16:52 EST
I had some patches that allowed to compile with system libraries, but they produced segfaults: #468357

Doing the patches correctly is far from my knowledge, it requires knowing te internals of TCL C API
Comment 3 Sergio Pascual 2009-12-23 09:21:17 EST
Created attachment 380032 [details]
Patch to use systemlibs

This is the patch I used originally to link with system libraries
Comment 4 Bug Zapper 2010-11-03 23:10:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Thom Carlin 2011-02-19 07:52:21 EST
Sergio, any updates?
Comment 6 Sergio Pascual 2011-02-20 17:17:08 EST
In fact, yes.

I have created two patches to unbundle zlib and libjpeg

https://koji.fedoraproject.org/koji/buildinfo?buildID=229645

The patches seem to do the work but more testing would be great.

Regarding the two other libraries:

  * libtiff: tkimg uses private headers, not present in libtiff-devel  
  * libpng: tkimg comes with version 1.4.3, which is newer than the version in fedora

So these two can't be unbundled for the moment
Comment 7 Thom Carlin 2011-02-22 13:30:10 EST
Are you planning on filing an exception for those 2 libraries?
Comment 8 Sergio Pascual 2011-02-22 13:39:58 EST
Well, if the patches work, yes. If not, I will ask for an exception of the 4 libraries :(
Comment 9 Thom Carlin 2011-04-26 07:22:18 EDT
Have the patches worked?
Comment 10 Sergio Pascual 2011-04-30 19:49:48 EDT
I think so. Now I have to ask FPC for an exception
Comment 11 Thom Carlin 2011-05-07 11:21:39 EDT
When you do file, please let me know the FPC ticket number.  Thanks!
Comment 12 Fedora Admin XMLRPC Client 2011-07-14 14:44:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Thom Carlin 2011-07-31 20:08:38 EDT
Spot, how should we proceed with this bug?
Comment 14 Tom "spot" Callaway 2011-08-01 16:32:21 EDT
Pretty sure I have this one all resolved, with all the remaining bundled code stripped out. Tested it pretty extensively and it seems to all still work. It's not pretty, but then again, neither is tkimg. :) I'll push this as an update for Fedora 16+, and leave the older versions alone.
Comment 15 Fedora Update System 2011-08-01 16:48:12 EDT
tkimg-1.4-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tkimg-1.4-4.fc16
Comment 16 Fedora Update System 2011-08-01 23:46:42 EDT
Package tkimg-1.4-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tkimg-1.4-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/tkimg-1.4-4.fc16
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2011-08-22 10:59:41 EDT
tkimg-1.4-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.